PyMELInstaller is a Python script that installs PyMEL (for use in Maya scripts).
Python
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.gitattributes
.gitignore
LICENSE.txt
README.md
__init__.py

README.md

PyMELInstaller is a Python script that installs PyMEL (for use in Maya scripts).

Don't download the __init__.py script, instead add this to all scripts that needs PyMEL:

import urllib,imp,os;f=os.path.join(os.path.expanduser('~'),'PMI.py')
if not os.path.exists(f): urllib.urlretrieve('http://goo.gl/M0zWp',f);imp.load_source('pmi',f).installPyMEL()

If you want a certain version of PyMEL to be installed, you can pass the git tag name as parameter to the last method call (installPyMEL()). Default is '1.0.6rc3'.

If the requested version of PyMEL already is installed, nothing is done, except making sure it's in the path.